Package net.snowflake.client.internal.core.minicore

## Class MinicorePlatform

- java.lang.Object
- - net.snowflake.client.internal.core.minicore.MinicorePlatform

    @SnowflakeJdbcInternalApi
    public class MinicorePlatform
    extends Object

### Constructor Summary

Constructors
`MinicorePlatform()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLibraryFileName()` Get the library filename with platform encoding.
`String` `getLibraryPath()`
`Constants.OS` `getOs()`
`String` `getOsArch()`
`String` `getOsName()`
`String` `getPlatformIdentifier()`
`boolean` `isSupported()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MinicorePlatform

    public MinicorePlatform()

### Method Detail

#### isSupported

    public boolean isSupported()

#### getLibraryPath

    public String getLibraryPath()

#### getPlatformIdentifier

    public String getPlatformIdentifier()

#### getLibraryFileName

    public String getLibraryFileName()

Get the library filename with platform encoding.

Format: {base_name}_{os}_{arch}[_{libc}]{extension}

Examples:

- Linux x86_64 glibc: `libsf_mini_core_linux_x86_64_glibc.so`
- Linux aarch64 musl: `libsf_mini_core_linux_aarch64_musl.so`
- macOS x86_64: `libsf_mini_core_macos_x86_64.dylib`
- macOS aarch64: `libsf_mini_core_macos_aarch64.dylib`
- Windows x86_64: `libsf_mini_core_windows_x86_64.dll`
- AIX ppc64: `libsf_mini_core_aix_ppc64.so`

#### getOs

    public Constants.OS getOs()

#### getOsName

    public String getOsName()

#### getOsArch

    public String getOsArch()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`